Bug 55116 - rp3 Gnome applet does not indicate "connected" status
rp3 Gnome applet does not indicate "connected" status
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-25 15:33 EDT by Craig Lawson
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:52:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Lawson 2001-10-25 15:33:13 EDT
Description of Problem:
  The rp3 Gnome applet does not indicate "connected" status when in fact it
is connected. This makes it difficult to disconnect later.
  The applet status is inconsistent with the status shown in the "Internet
Connections" window (right click on the applet, select "Configure PPP...",
which correctly indicates that the interface is connected. This window has
a "Hang Up" button that works correctly.
  A secondary problem is that the "debug" button in the Internet
Connections window does not work. It fails while starting pppd.

Version-Release number of selected component (if applicable):
rp3 1.1.10-1
pppd 2.4.0
wvdial 1.41-12

How Reproducible:
About 10% of the time. However, once the applet gets into this state (where
it does not show the correct connection status), it is 100% repeatable
after that.

Steps to Reproduce:
As a non-root user:
1. With PPP configured, display the rp3 applet on the control panel.
2. Click the "connect" button.
3. If the button does not turn green, check the connection with the
"Configure PPP..." applet option. If this window shows a connection and the
button is not green, you have reproduced the bug.

Actual Results:
Connection is established, but the button is not green.

Expected Results:
The button should turn green.

Additional Information:
Another way to disconnect is to send the pppd process the SIGHUP signal.
Comment 1 Neil Bird 2001-10-29 07:34:43 EST
There are buckets of reports of this for 7.1, and it's still a problem in 7.2 
(I shan't raise it again *there* unless there's no activity for a while here).

To whomever's resposible: note that the seemingly correct problem & solution 
have been logged in the (now closed) bug 37716 (entry 2001-01-13).  I suspect 
that was done after the bug was 'closed' and so got missed.

Looks like I'll still be editing my network-scripts file for the forseeable 
future ...
Comment 2 Bill Nottingham 2006-08-07 15:34:53 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:52:32 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.